## org.apache.cassandra.db
Class Table

    java.lang.Object
      org.apache.cassandra.db.Table

    public class Table

extends java.lang.Object

Nested Class Summary
`static class` `Table.TableMetadata`

Field Summary
`java.lang.String` `name`
`static java.lang.String` `SYSTEM_TABLE`

Method Summary
`static java.lang.Iterable<Table>` `all()`
`void` `apply(RowMutation mutation, java.lang.Object serializedMutation, boolean writeCommitLog)` This method adds the row to the Commit Log associated with this table.
`void` `clearSnapshot()` Clear all the snapshots for a given table.
`java.util.List<java.util.concurrent.Future<?>>` `flush()`
`java.util.List<SSTableReader>` `forceAntiCompaction(java.util.Collection<Range> ranges, java.net.InetAddress target)`
`void` `forceCleanup()` Do a cleanup of keys that do not belong locally.
`void` `forceCompaction()`
`ColumnFamily` `get(java.lang.String key, java.lang.String cfName)` Deprecated.
`java.util.Set<java.lang.String>` `getColumnFamilies()`
`int` `getColumnFamilyId(java.lang.String columnFamily)`
`ColumnFamilyStore` `getColumnFamilyStore(java.lang.String cfName)`
`java.util.Collection<ColumnFamilyStore>` `getColumnFamilyStores()`
`java.lang.String` `getDataFileLocation(long expectedCompactedFileSize)`
`Row` `getRow(QueryFilter filter)`
`static java.lang.String` `getSnapshotPath(java.lang.String dataDirPath, java.lang.String tableName, java.lang.String snapshotName)`
`static Table` `open(java.lang.String table)`
`void` `snapshot(java.lang.String clientSuppliedName)` Take a snapshot of the entire set of column families with a given timestamp.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYSTEM_TABLE

    public static final java.lang.String SYSTEM_TABLE

See Also:
  Constant Field Values

### name

    public final java.lang.String name

Method Detail

### open

    public static Table open(java.lang.String table)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### getColumnFamilies

    public java.util.Set<java.lang.String> getColumnFamilies()

### getColumnFamilyStores

    public java.util.Collection<ColumnFamilyStore> getColumnFamilyStores()

### getColumnFamilyStore

    public ColumnFamilyStore getColumnFamilyStore(java.lang.String cfName)

### forceCleanup

    public void forceCleanup()

  Do a cleanup of keys that do not belong locally.

### snapshot

    public void snapshot(java.lang.String clientSuppliedName)
                  throws java.io.IOException

  Take a snapshot of the entire set of column families with a given timestamp.

  Parameters:
    `clientSuppliedName` - the tag associated with the name of the snapshot. This value can be null.
  Throws:
    `java.io.IOException`

### clearSnapshot

    public void clearSnapshot()
                       throws java.io.IOException

  Clear all the snapshots for a given table.

  Throws:
    `java.io.IOException`

### forceAntiCompaction

    public java.util.List<SSTableReader> forceAntiCompaction(java.util.Collection<Range> ranges,
                                                             java.net.InetAddress target)

### forceCompaction

    public void forceCompaction()

### getColumnFamilyId

    public int getColumnFamilyId(java.lang.String columnFamily)

### get

    @Deprecated
    public ColumnFamily get(java.lang.String key,
                                       java.lang.String cfName)
                     throws java.io.IOException

  Deprecated.

  Selects the specified column family for the specified key.

  Throws:
    `java.io.IOException`

### getRow

    public Row getRow(QueryFilter filter)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### apply

    public void apply(RowMutation mutation,
                      java.lang.Object serializedMutation,
                      boolean writeCommitLog)
               throws java.io.IOException

  This method adds the row to the Commit Log associated with this table. Once this happens the data associated with the individual column families is also written to the column family store's memtable.

  Throws:
    `java.io.IOException`

### flush

    public java.util.List<java.util.concurrent.Future<?>> flush()
                                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getDataFileLocation

    public java.lang.String getDataFileLocation(long expectedCompactedFileSize)

### getSnapshotPath

    public static java.lang.String getSnapshotPath(java.lang.String dataDirPath,
                                                   java.lang.String tableName,
                                                   java.lang.String snapshotName)

### all

    public static java.lang.Iterable<Table> all()

Copyright © 2010 The Apache Software Foundation